ubuntu软件的安装怎么这样依赖网络??

为当前最终发行版之前的所有版本提供支持
mtnk
帖子: 26
注册时间: 2006-03-27 10:20
送出感谢: 0
接收感谢: 0

ubuntu软件的安装怎么这样依赖网络??

#1

帖子 mtnk » 2006-03-27 15:45

小弟没有上网,昨天抱着主机上同学那里下了一晚上,终于把ubuntu的DVD版本下了下来,有2G多,心想这下不用愁软件不够用了。今天把系统装好发现不是那么回事!!系统默认安装的软件根本就不够用,用系统自带的add application发现只有上网上再能安装,新立得软件包管理器也是一个样,没网络白搭!

请问我怎样在没有网络连接的情况下,把保存在硬盘中的DVD.iso中未安装的软件装完?小弟感激不尽!!!!!
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2006-03-27 16:19

可以增加啊。apt-cdrom就可以。
● 鸣学
mtnk
帖子: 26
注册时间: 2006-03-27 10:20
送出感谢: 0
接收感谢: 0

#3

帖子 mtnk » 2006-03-27 16:28

楼上的朋友能不能讲的细点啊?
我以前用过fc4, ubuntu的我不会。
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 karron » 2006-03-27 16:40

如果不能上网的话,建议不要用ubuntu,debian.用suse,fc都是很好的选择,不然会很郁闷的呀
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
mtnk
帖子: 26
注册时间: 2006-03-27 10:20
送出感谢: 0
接收感谢: 0

#5

帖子 mtnk » 2006-03-27 16:53

我下的可是DVD的啊。2G多,软件应该不比FC4的少啊。
刚才搜了一下apt-cdrom的用法。
发现都是用光盘装的。用光盘镜像就不行吗?
头像
oneleaf
论坛管理员
帖子: 10237
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 107 次

#6

帖子 oneleaf » 2006-03-27 17:25

deb file:///media/cdrom/ubuntu breezy main restricted universe multiverse
deb file:///media/cdrom/ubuntu breezy-updates main restricted universe multiverse
deb file:///media/cdrom/ubuntu breezy-security main restricted universe multiverse
头像
yang119345
帖子: 570
注册时间: 2005-06-19 14:22
来自: 上海
送出感谢: 0
接收感谢: 1 次
联系:

#7

帖子 yang119345 » 2006-03-27 17:38

mtnk 写了:我下的可是DVD的啊。2G多,软件应该不比FC4的少啊。
刚才搜了一下apt-cdrom的用法。
发现都是用光盘装的。用光盘镜像就不行吗?

1.先用mount命令挂载iso


例如我的iso在/media/hda2/ubuntu.iso
先在/media下建立一个iso文件夹

代码: 全选

sudo mkdir /media/iso
然后挂载你的iso

代码: 全选

sudo mount /hda2/ubuntu.iso /media/iso -t iso9660 -o loop
2.然后修改你的/etc/apt/sources.list为

代码: 全选

deb file:///media/iso/ubuntu breezy main restricted universe multiverse
deb file:///media/iso/ubuntu breezy-updates main restricted universe multiverse
deb file:///media/iso/ubuntu breezy-security main restricted universe multiverse
头像
内存不足
论坛版主
帖子: 3277
注册时间: 2005-08-18 18:43
送出感谢: 0
接收感谢: 1 次
联系:

#8

帖子 内存不足 » 2006-03-27 17:53

楼上的和楼上的楼上的 ...............收藏
໌→ iCookie Gtk Theme
໌→DropPlusBluetheme
กรัก กรัก`菠萝
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 karron » 2006-03-27 19:02

不错,可以专门置顶。
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#10

帖子 eexpress » 2006-03-27 19:06

iso哦。到。
● 鸣学
mtnk
帖子: 26
注册时间: 2006-03-27 10:20
送出感谢: 0
接收感谢: 0

#11

帖子 mtnk » 2006-03-27 22:45

收到!谢谢。我去试试。
mtnk
帖子: 26
注册时间: 2006-03-27 10:20
送出感谢: 0
接收感谢: 0

#12

帖子 mtnk » 2006-03-28 0:04

我照七楼的设置,立得软件包里能用,不过好多依赖问题啊。而且好多文件得一个一个点,累死人。而且add software这个根本就不能用。


请问照你的设置以后,怎么样才能把iso里的文件一次装完?
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 karron » 2006-03-28 8:13

不会吧,你要把软件装完?你专门搞测试的呀?只安装需要的就行了.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
mtnk
帖子: 26
注册时间: 2006-03-27 10:20
送出感谢: 0
接收感谢: 0

#14

帖子 mtnk » 2006-03-28 8:44

不是啊,我要把开发工具装上啊!
默认的gcc,make都没装。
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#15

帖子 karron » 2006-03-28 8:52

sudo apt-get install build-essential
就会安装必要的开发工具.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
回复

回到 “老旧版本支持”